import { CodeGenerator } from "./default-code-generator";
export declare type TsJsonSchemaGeneratorOptions = {
    extraTags?: string[];
    sortProps?: boolean;
    strictTuples?: boolean;
    encodeRefs?: boolean;
    /**
     * true by default
     */
    skipTypeCheck?: boolean;
    /**
     * false by default
     */
    additionalProperties?: boolean;
};
export declare type GeneratorValidatorOptions = {
    cwd: string;
    validatorGenerator: CodeGenerator;
    tsconfigFilePath: string;
    filePath: string;
} & TsJsonSchemaGeneratorOptions;
export declare function generateValidator({ cwd, validatorGenerator, tsconfigFilePath, filePath, extraTags, sortProps, strictTuples, skipTypeCheck, encodeRefs, additionalProperties }: GeneratorValidatorOptions): Promise<{
    validatorFilePath: string;
    code: string;
} | undefined>;
