import meow from "meow";
export declare const cli: meow.Result<{
    tsconfigFilePath: {
        type: "string";
        default: string;
    };
    generatorScript: {
        type: "string";
        default: string;
    };
    cwd: {
        type: "string";
        default: string;
    };
    watch: {
        type: "boolean";
    };
    cache: {
        type: "boolean";
        default: false;
    };
    check: {
        type: "boolean";
    };
    verbose: {
        type: "boolean";
        default: true;
    };
    sortProps: {
        type: "boolean";
    };
    strictTuples: {
        type: "boolean";
    };
    skipTypeCheck: {
        type: "boolean";
    };
    encodeRefs: {
        type: "boolean";
    };
    additionalProperties: {
        type: "boolean";
    };
}>;
export declare const run: (input?: string[], flags?: meow.TypedFlags<{
    tsconfigFilePath: {
        type: "string";
        default: string;
    };
    generatorScript: {
        type: "string";
        default: string;
    };
    cwd: {
        type: "string";
        default: string;
    };
    watch: {
        type: "boolean";
    };
    cache: {
        type: "boolean";
        default: false;
    };
    check: {
        type: "boolean";
    };
    verbose: {
        type: "boolean";
        default: true;
    };
    sortProps: {
        type: "boolean";
    };
    strictTuples: {
        type: "boolean";
    };
    skipTypeCheck: {
        type: "boolean";
    };
    encodeRefs: {
        type: "boolean";
    };
    additionalProperties: {
        type: "boolean";
    };
}> & Record<string, unknown>) => Promise<{
    exitStatus: number;
    stdout: string | null;
    stderr: Error | null;
}>;
